package com.ruoyi.pay.domain.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

public class PayDayWorkHoursExport {

    /** 主键 */
    private Long id;

    /** 员工部门id */
    // @ExcelProperty(value= "员工部门id")
    private Long deptId;

    /** 员工部门名称 */
    @ExcelProperty(value= "员工部门名称")
    private String deptName;

    /** 员工id */
    //@ExcelProperty(value= "员工id")
    private Long employeeId;

    /** 员工姓名 */
    @ExcelProperty(value= "员工姓名")
    private String empName;

    /** 日工日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @ExcelProperty(value= "日工日期")
    private Date date;

    /** 日工年月 */
    // @ExcelProperty(value= "日工年月")
    private String dwYearMonth;
    /** 备注 */
    // @ExcelProperty(value= "备注")
    private String note;

    /**
     * 开始时间、结束时间、小时数、业务员、是否帮工、帮工部门
     */
    /** 开始时间 */
    @ExcelProperty(value= "开始时间")
    private String startTime;

    /** 结束时间 */
    @ExcelProperty(value= "结束时间")
    private String endTime;


    /** 时长 */
    @ExcelProperty(value= "时长")
    private Double hours;

    /** 业务员 */
    @ExcelProperty(value= "业务员")
    private String salesman;

    /** 是否帮工 (0:否 1:是） */
    @ExcelProperty(value= "是否帮工")
    private String isHelper;

    /** 工时部门 */
    //@ExcelProperty(value= "工时部门")
    private String deptName2;

    public String getDeptName2() {
        return deptName2;
    }

    public void setDeptName2(String deptName2) {
        this.deptName2 = deptName2;
    }

    public String getStartTime() {
        return startTime;
    }

    public void setStartTime(String startTime) {
        this.startTime = startTime;
    }

    public String getEndTime() {
        return endTime;
    }

    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }

    public Double getHours() {
        return hours;
    }

    public void setHours(Double hours) {
        this.hours = hours;
    }

    public String getIsHelper() {
        return isHelper;
    }

    public void setIsHelper(String isHelper) {
        this.isHelper = isHelper;
    }

    public String getSalesman() {
        return salesman;
    }

    public void setSalesman(String salesman) {
        this.salesman = salesman;
    }
    public String getDwYearMonth() {
        return dwYearMonth;
    }

    public void setDwYearMonth(String dwYearMonth) {
        this.dwYearMonth = dwYearMonth;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public void setDeptName(String deptName)
    {
        this.deptName = deptName;
    }

    public String getDeptName()
    {
        return deptName;
    }
    public void setEmployeeId(Long employeeId)
    {
        this.employeeId = employeeId;
    }

    public Long getEmployeeId()
    {
        return employeeId;
    }
    public void setEmpName(String empName)
    {
        this.empName = empName;
    }

    public String getEmpName()
    {
        return empName;
    }
    public void setDate(Date date)
    {
        this.date = date;
    }

    public Date getDate()
    {
        return date;
    }

    public String getNote() {
        return note;
    }

    public void setNote(String note) {
        this.note = note;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("deptId", getDeptId())
            .append("deptName", getDeptName())
            .append("employeeId", getEmployeeId())
            .append("empName", getEmpName())
            .append("date", getDate())
            .append("dwYearMonth", getDwYearMonth())
            .append("note", getNote())
            .toString();
    }


}

